Subject: Re: *EMCA* Muchas Thank-Yous, AM & Manny!
From: [email-masked]
To: [email-masked]
Cc: [email-masked]
Date: Sat, 22 Dec 2001 08:54:34 -0800 (PST)

I second the emotion of the chica de las labias rosas famosas!

And, to paraphrase Cat Stevens' - 

Saturday mornin' I'm feelin' bad 
But it's worth it for the time that I had 

Rage on!

-Ben & Chung
  ----- Original Message ----- 
  From: [email-masked] 
  To: [email-masked] 
  Sent: Saturday, December 22, 2001 7:18 AM
  Subject: *EMCA* Muchas Thank-Yous, AM & Manny!

  Thank you for a great time!  We enjoyed ourselves so much, it was an absolute 
  treat!

  I love our little barrio!  It's the absolute best in town.  John & I 
  appreciate being invited to all the fabulous festivities this season (I mean 
  it, Richard) & we hope to one day return the cheer. 

  Feliz Navidad y Prospero Ano Nuevo, Queridos Amigos!

  and William.....Que te cresca el _ _ _ _ !